%define qtdir %{_prefix}/lib/qt-1.45
%define sourcedir stable/%{version}/distribution/tar/generic/source

Name: kdelibs
Icon: kde-icon.xpm
Summary: Libraries for the K Desktop Environment (KDE).
Version: 1.1.2
Release: 24
Epoch: 5
Source: ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{name}-%{version}.tar.bz2
Source1: kdoc-snapshot.tar.gz
Source2: konfigure
Patch0: kdelibs-1.1.2-iconpaths.patch
Patch1: kdelibs-1.1.2-redhat.patch
Patch2: kdelibs-1.1.2-fixdebug.patch
Patch3: kdelibs-1.1.2-debug.patch
Group: System Environment/Libraries
License: LGPL
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildPrereq: autoconf, automake, libtool, kdesupport-devel, qt1x-devel, kdoc
Requires: kdesupport
%ifnarch ia64
BuildPrereq: compat-egcs-c++
Requires: compat-libstdc++
%endif
Prefix: %{_prefix}
ExcludeArch: ia64

%description
The K Desktop Environment (KDE) is a GUI desktop for the X Window
System. The kdelibs package contains libraries for KDE, including:
kdecore, the core library for KDE; kdeui, the user interface library;
kfm, the file manager library, khtmlw, the HTML widget library; kfile,
the file access library; kspell, the spelling checker library;
jscript, the JavaScript library; kab, the addressbook library; kimgio,
an image manipulation library; and mediatool, a library for sound,
mixing and animation.

Install kdelibs if you're installing KDE.  You'll also need to install
kdebase and kdesupport.

%package devel
Group: Development/Libraries
Summary: Header files and documentation for compiling KDE applications.
Requires: qt1x-devel, kdesupport-devel
%ifnarch ia64
Requires: compat-egcs-c++
%endif

%description devel
The kdelibs-devel package includes the header files needed to compile
applications for the K Desktop Environment (KDE).  This package also
includes the KDE Application Programming Interface (API) documentation
in HTML format for easy browsing.

%prep
%setup -q -n kdelibs -a 1
%patch0 -p1 -b .iconpaths
%patch1 -p1 -b .redhat
%patch2 -p1 -b .fixdebug
%patch3 -p1 -b .debug

%build
export KDEDIR=%{prefix} QTDIR=%{qtdir} ROOT=/
%ifnarch ia64
export CXX="egcs++ -L/usr/lib" CC="egcs -L/usr/lib"
%else
export CXX="g++" CC="gcc"
%endif
FLAGS="$RPM_OPT_FLAGS -UDEBUG -DNDEBUG -DNO_DEBUG"

make -f Makefile.cvs
cp /usr/share/libtool/config.{sub,guess} admin

if [ -x /usr/bin/getconf ]; then
  CPUS=`getconf _NPROCESSORS_ONLN`
fi
if test "x$CPUS" = "x" -o "x$CPUS" = "x0"; then
  CPUS=1
fi

[ -f configure.in ] && libtoolize --copy --force
CXXFLAGS="$FLAGS" CFLAGS="$FLAGS" \
./configure --prefix=%{prefix} --enable-final --includedir=/usr/include/kde

make -j $CPUS CXX="${CXX}" CC="${CC}" \
              CFLAGS="$FLAGS" CXXFLAGS="$FLAGS"

%install
rm -rf $RPM_BUILD_ROOT

export ROOT=$RPM_BUILD_ROOT
make prefix="$RPM_BUILD_ROOT/%{_prefix}" includedir=$RPM_BUILD_ROOT/usr/include/kde install-strip
chmod a+x $RPM_BUILD_ROOT%{_prefix}/lib/*
strip --strip-unneeded -R .comment $RPM_BUILD_ROOT%{_prefix}/lib/*.so*

# Generate documentation
export PATH=%{prefix}/bin:$PATH
makekdedoc=`which makekdedoc`
if [ ! -z "$makekdedoc" ]; then
  kdocdir=$RPM_BUILD_ROOT%{_docdir}/%{name}-devel-%{version} #used to be %{prefix}/share/kdedoc/ - but I think this makes more sense.
  mkdir -p $kdocdir
  qt2kdoc=`which qt2kdoc`
  if [ ! -z "$qt2kdoc" ]; then
    $qt2kdoc -o $kdocdir %{_docdir}/qt1x-devel-1.45
  fi
  $makekdedoc --rule-file=kdoc.rules --outputdir=$kdocdir
fi

install -d -m 755 $RPM_BUILD_ROOT%{_prefix}/bin
install -m 755 %{SOURCE2} $RPM_BUILD_ROOT%{_prefix}/bin

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-,root,root)
%{prefix}/lib/*.so.*
%{prefix}/share/apps/kab
%{prefix}/share/apps/kde
%{prefix}/share/apps/khtmlw
%{prefix}/share/config
%{prefix}/share/toolbar/*
%{prefix}/share/doc/HTML
%lang(br) %{prefix}/share/locale/br/LC_MESSAGES/*
%lang(br) %{prefix}/share/locale/br/charset
%lang(ca) %{prefix}/share/locale/ca/LC_MESSAGES/*
%lang(ca) %{prefix}/share/locale/ca/charset
%lang(cs) %{prefix}/share/locale/cs/LC_MESSAGES/*
%lang(cs) %{prefix}/share/locale/cs/charset
%lang(da) %{prefix}/share/locale/da/LC_MESSAGES/*
%lang(da) %{prefix}/share/locale/da/charset
%lang(de) %{prefix}/share/locale/de/LC_MESSAGES/*
%lang(de) %{prefix}/share/locale/de/charset
%lang(el) %{prefix}/share/locale/el/LC_MESSAGES/*
%lang(en_UK) %{prefix}/share/locale/en_UK/LC_MESSAGES/*
%lang(eo) %{prefix}/share/locale/eo/LC_MESSAGES/*
%lang(eo) %{prefix}/share/locale/eo/charset
%lang(es) %{prefix}/share/locale/es/LC_MESSAGES/*
%lang(es) %{prefix}/share/locale/es/charset
%lang(et) %{prefix}/share/locale/et/LC_MESSAGES/*
%lang(et) %{prefix}/share/locale/et/charset
%lang(fi) %{prefix}/share/locale/fi/LC_MESSAGES/*
%lang(fi) %{prefix}/share/locale/fi/charset
%lang(fr) %{prefix}/share/locale/fr/LC_MESSAGES/*
%lang(fr) %{prefix}/share/locale/fr/charset
%lang(he) %{prefix}/share/locale/he/LC_MESSAGES/*
%lang(he) %{prefix}/share/locale/he/charset
%lang(hr) %{prefix}/share/locale/hr/LC_MESSAGES/*
%lang(hr) %{prefix}/share/locale/hr/charset
%lang(hs) %{prefix}/share/locale/hs/charset
%lang(hu) %{prefix}/share/locale/hu/LC_MESSAGES/*
%lang(hu) %{prefix}/share/locale/hu/charset
%lang(is) %{prefix}/share/locale/is/LC_MESSAGES/*
%lang(is) %{prefix}/share/locale/is/charset
%lang(it) %{prefix}/share/locale/it/LC_MESSAGES/*
%lang(it) %{prefix}/share/locale/it/charset
%lang(ja) %{prefix}/share/locale/ja/LC_MESSAGES/*
%lang(ko) %{prefix}/share/locale/ko/LC_MESSAGES/*
%lang(mk) %{prefix}/share/locale/mk/LC_MESSAGES/*
%lang(nl) %{prefix}/share/locale/nl/LC_MESSAGES/*
%lang(no) %{prefix}/share/locale/no/LC_MESSAGES/*
%lang(no) %{prefix}/share/locale/no/charset
%lang(pl) %{prefix}/share/locale/pl/LC_MESSAGES/*
%lang(pl) %{prefix}/share/locale/pl/charset
%lang(pt) %{prefix}/share/locale/pt/LC_MESSAGES/*
%lang(pt) %{prefix}/share/locale/pt/charset
%lang(pt_BR) %{prefix}/share/locale/pt_BR/LC_MESSAGES/*
%lang(pt_BR) %{prefix}/share/locale/pt_BR/charset
%lang(ro) %{prefix}/share/locale/ro/LC_MESSAGES/*
%lang(ro) %{prefix}/share/locale/ro/charset
%lang(ru) %{prefix}/share/locale/ru/LC_MESSAGES/*
%lang(ru) %{prefix}/share/locale/ru/charset
%lang(sk) %{prefix}/share/locale/sk/LC_MESSAGES/*
%lang(sk) %{prefix}/share/locale/sk/charset
%lang(sl) %{prefix}/share/locale/sl/LC_MESSAGES/*
%lang(sl) %{prefix}/share/locale/sl/charset
%lang(sv) %{prefix}/share/locale/sv/LC_MESSAGES/*
%lang(sv) %{prefix}/share/locale/sv/charset
%lang(th) %{prefix}/share/locale/th/LC_MESSAGES/*
%lang(tr) %{prefix}/share/locale/tr/LC_MESSAGES/*
%lang(zh_CN.GB2312) %{prefix}/share/locale/zh_CN.GB2312/LC_MESSAGES/*
%lang(zh_TW.Big5) %{prefix}/share/locale/zh_TW.Big5/LC_MESSAGES/*

%files devel
%defattr(-,root,root)
%{prefix}/lib/*.so
%{prefix}/lib/*.la
%{prefix}/include/*
%docdir %{prefix}/share/doc/kdelibs-devel-%{version}
%{prefix}/share/doc/kdelibs-devel-%{version}/*
%{prefix}/bin/konfigure

%changelog
* Tue Aug 15 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Actually put in konfigure...

* Wed Aug  9 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- update to KDE_1_1_BRANCH, fixing autoconf issues
- fix konfigure on ia64

* Mon Jul 31 2000 Than Ngo <than@redhat.de>
- put HTML documents under /usr/share/doc/kdelibs-devel-%{version}
  instead /usr/share/doc/kdelibs-devel-%{version}-%{release}
- add missing HTML documents
- add kdoc in BuildPrereq

* Mon Jul 31 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- add a newer konfigure to kdelibs-devel
- fix a typo in specfile (CXXFLAGS, not XXFLAGS)
- fix up file lists
- move the include files back to /usr/include/kde, where they used to be
  in 6.x
- put in some basic stuff to support ia64, but leave it excluded because
  of compiler bugs

* Mon Jul 31 2000 Than Ngo <than@redhat.de>
- rebuilt with no debug

* Sun Jul 30 2000 Than Ngo <than@redhat.de>
- rebuilt against compat-egcs-c++
- cleanup specfile

* Sat Jun 03 2000 Bill Nottingham <notting@redhat.com>
- autoconf tweaks for ia64

* Sat Jun 03 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- The optimization bug is x86 specific - don't use O0 on other arches
- fix up install location

* Thu Jun 01 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- use -O0 to work around gcc bugs; this should be reverted ASAP.
- some cleanups to spec file

* Thu Jun 01 2000 Than Ngo <than@redhat.de>
- Update to current KDE_1_1_BRANCH in CVS - some bugfixes
- rebuild for 7.0
- use DESTDIR for install

* Mon Feb 21 2000 Preston Brown <pbrown@redhat.com>
- fix kde_htmldir to %{_prefix}/doc/kde, dropped because of configure macro error.

* Thu Feb 17 2000 Preston Brown <pbrown@redhat.com>
- remove some debug output from KCharset class

* Wed Feb  9 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- modify readBoolEntry to accept "1" in addition to "true" and "on"
  for backwards compatibility (Terminal= is now bool; used to be
  string 0 or 1)

* Fri Feb  4 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- strip libraries

* Fri Feb 04 2000 Preston Brown <pbrown@redhat.com>
- make relocatable

* Fri Jan  7 2000 Bernhard Rosenkrnzer <bero@redhat.com>
- Update to current KDE_1_1_BRANCH
- Make use of BuildPrereq
- kdelibs-devel requires kdesupport-devel
- rebuild in 6.2 environment (Qt 1.45)

* Thu Sep 23 1999 Preston Brown <pbrown@redhat.com>
- move kde_htmldir to %{_prefix}/doc/kde
- mark doc files as such

* Tue Sep 21 1999 Preston Brown <pbrown@redhat.com>
- fix up perl include path for kdoc

* Thu Sep 16 1999 Preston Brown <pbrown@redhat.com>
- remove linking to qimgio from kdecore, moved to kpanel/kfm directly
- renamed "lowcolor" directory to "locolor"

* Mon Sep 13 1999 Preston Brown <pbrown@redhat.com>
- added lowcolor icons directory and %{_prefix}/share/pixmaps to icon search path
- hacking to recognize .desktop files as application/x-kdelnk

* Thu Sep 09 1999 Preston Brown <pbrown@redhat.com>
- added kdoc index files.

* Wed Sep 08 1999 Preston Brown <pbrown@redhat.com>
- updated to KDE 1.1.2.
- use %{_prefix}/lib/qt-1.44 as qt root.
- separate devel subpackages; include documentation and kdoc.
- added KDE icon.
- relocated includes to %{_prefix}/include/kde

* Fri Jun 11 1999 Preston Brown <pbrown@redhat.com>
- snapshot, includes kde 1.1.1 + fixes

* Mon Apr 19 1999 Preston Brown <pbrown@redhat.com>
- last snapshot before release

* Mon Apr 12 1999 Preston Brown <pbrown@redhat.com>
- latest stable snapshot

* Wed Feb 24 1999 Preston Brown <pbrown@redhat.com>
- Injected new description and group.

* Mon Feb 08 1999 Preston Brown <pbrown@redhat.com>
- upgraded to KDE 1.1 final.

* Fri Jan 15 1999 Preston Brown <pbrown@redhat.com>
- updated macros for RPM 3.0, removed redhat-release dependency

* Tue Jan 05 1999 Preston Brown <pbrown@redhat.com>
- re-integrated changes from Duncan Haldane
